# Copyright (C) 2018-2022 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path

from sheets.views import FoodCreateView, FoodUpdateView, MealCreateView, MealUpdateView, OrderView, \
    SheetCreateView, SheetDetailView, SheetListView, SheetUpdateView, WaitingListDetailView, WaitingListView

app_name = 'sheets'

urlpatterns = [
    path('list/', SheetListView.as_view(), name="sheet_list"),
    path('create/', SheetCreateView.as_view(), name="sheet_create"),
    path('update/<int:pk>/', SheetUpdateView.as_view(), name="sheet_update"),
    path('detail/<int:pk>/', SheetDetailView.as_view(), name="sheet_detail"),
    path('food/create/<int:pk>/', FoodCreateView.as_view(), name="food_create"),
    path('food/<int:pk>/update/', FoodUpdateView.as_view(), name="food_update"),
    path('meal/create/<int:pk>/', MealCreateView.as_view(), name="meal_create"),
    path('meal/<int:pk>/update/', MealUpdateView.as_view(), name="meal_update"),
    path('order/<int:pk>/', OrderView.as_view(), name="sheet_order"),
    path('waiting-list/<int:pk>/', WaitingListView.as_view(), name="waiting_list"),
    path('waiting-list/<int:pk>/queued/', WaitingListDetailView.as_view(), name="queued_list"),
    path('waiting-list/<int:pk>/ready/', WaitingListDetailView.as_view(), name="ready_list"),
    path('waiting-list/<int:pk>/served/', WaitingListDetailView.as_view(), name="served_list"),
    path('waiting-list/<int:pk>/canceled/', WaitingListDetailView.as_view(), name="canceled_list"),
]
